Cyberduck Mountain Duck CLI

#10552 closed defect (fixed)

Failure using RSA/ECDSA private in new OpenSSH format

Reported by: dkocher Owned by:
Priority: high Milestone: 6.9.2
Component: sftp Version: 6.8.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Failure message Bad item length: 1183579278. Please contact your web hosting service provider for assistance. or similar.

Change History (9)

comment:1 Changed on Dec 5, 2018 at 12:59:46 PM by dkocher

As a workaround use

ssh-keygen -m PEM -t rsa

comment:2 Changed on Dec 5, 2018 at 1:00:05 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Dec 5, 2018 at 1:03:43 PM by dkocher

ssh-keygen(1): write OpenSSH format private keys by default instead of using OpenSSL's PEM format. The OpenSSH format, supported in OpenSSH releases since 2014 and described in the PROTOCOL.key file in the source distribution, offers substantially better protection against offline password guessing and supports key comments in private keys. If necessary, it is possible to write old PEM-style keys by adding "-m PEM" to ssh-keygen's arguments when generating or updating a key.

Last edited on Dec 5, 2018 at 1:04:13 PM by dkocher (previous) (diff)

comment:5 Changed on Dec 21, 2018 at 10:28:03 AM by dkocher

  • Summary changed from Failure using RSA private in new OpenSSH format to Failure using RSA/ECDSA private in new OpenSSH format

comment:6 Changed on Jan 16, 2019 at 8:06:28 AM by dkocher

  • Priority changed from normal to high

comment:7 Changed on Jan 17, 2019 at 12:06:37 PM by dkocher

  • Milestone changed from 7.0 to 6.9.1

comment:8 Changed on Jan 17, 2019 at 2:26:59 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r46103.

comment:9 Changed on Jan 20, 2019 at 7:54:57 PM by dkocher

  • Milestone changed from 6.9.1 to 6.9.2

Milestone renamed

Note: See TracTickets for help on using tickets.
swiss made software